********************************************************************************
**																			  **
**								Master Dofile								  **
**																			  **
********************************************************************************
**																			  **
**		This is the master Dofile for the project "" by Eslava, Melendez,	  **
**		Tenjo, Urdaneta, and Flores.										  **
**																			  **
********************************************************************************

cls
clear all
set more off
set seed 83195
set sortseed 83195
//set seed 106671 
//set sortseed 106671 // seed to replicate any command that uses sort
set maxvar 30000
graph set window fontface "Times New Roman"
set varabbrev on

* set adopath

adopath + "`c(pwd)'/../ado/"

* if you are using the adopath the following lines are not neccesary but if the ado does not work you can uncomment them
*global packages outreg2 egenmore _gwtmean ftools reghdfe quantiles scheme_tufte unique labutil grc1leg
*foreach pack of global packages{
*    capture which `pack'
*    if _rc==111  cap n ssc install `pack'
*}

********************************************************************************
**							Set directories 								  **
********************************************************************************

global RepFiles "C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/20230920-a-tail-of-one-tail/"

** Change the following two globals *ONLY* if for some reason you have different
** folders for the raw data and the results that are not contained in the 
** replication material folder structure. 

global rawdata "${RepFiles}\Raw microdata"
global results "${RepFiles}\Output"
global programs "${RepFiles}\Programs"
global publicdata "${RepFiles}\Public datasets"
global processeddata "${RepFiles}\Processed microdata"

do "${programs}/0.1 StableQuantiles.do"

********************************************************************************
**			Section 1 - Run codes processing the survey for each country  	  **
**      LATAM is the only exception for which we have multiple files          **
**      as there are many surveys and additional results only for LATAM.      **
********************************************************************************

do "${programs}\1. USA.do"
*do "${programs}\1. Europe.do"

*do "${programs}\1. Australia.do"
*do "${programs}\1. Korea.do"
do "${programs}\1. Japan.do"

do "${programs}\1. India.do"
do "${programs}\1. Pakistan.do"
*do "${programs}\1. Nepal.do"

do "${programs}\1. LATAM.do"

********************************************************************************
**			Section 1.1 - Run codes to produce the results of LATAM.          **
********************************************************************************

do "${programs}\1.1 LATAM Figure 1 and Table A2.do"
do "${programs}\1.1 LATAM Figure 3 and Table 2.do"
do "${programs}\1.1 LATAM Table 1.do"
do "${programs}\1.1 LATAM Figure A1.do"
do "${programs}\1.1 LATAM Figure A2 and A3.do"
do "${programs}\1.1 LATAM Table A4.do"
do "${programs}\1.1 LATAM Employment dataset.do"

********************************************************************************
**				 Section 2 - Run codes that aggregate results for some	      **
**							regions from Section 1						  	  **
********************************************************************************

// Aggregates results of Korea and Australia for Figures 1 and 3 
do "${programs}\2. Aggregate Asia.do"
// Aggregates results of India, Pakistan, and Nepal for Figures 1, 2, and A2 
*do "${programs}\2. Aggregate South Asia.do"

********************************************************************************
**				Section 3 - Run codes to construct Figure 2 				  **
**          and join the data of all countries to export to excel for         **
**                        the other figures                                   **
********************************************************************************

do "${programs}\3. Produce tables and figures.do"


********************************************************************************
**			Section 4 - Run code to construct dataset with employment 		  **
**		 shares in each productive unit size by income decile and country  	  **
** 		    needs to have run all countries of section 1 first 				  **
********************************************************************************

do "${programs}\4. Employment shares dataset.do"

