// 27/05/2023
// Author: Gabriela Bojanini
// Weighted average results for Asia: High Income

cap log close
log using "${results}/Logs/Log 2 Aggregates Asia `c(current_date)'.txt", replace text

clear 
set more off
 

*___________________________________________________________*
*														    *
* 	Figure 1 (table): Weihted Average Asia: High Income	    *
*___________________________________________________________*
preserve
foreach c in KR AUS Japan {
	import excel "${results}\Results `c'.xlsx", sheet("F1_Pa") firstrow clear
	egen total_`c' = total(persons_q)
	
	tempfile `c'
	save ``c'', replace
	
}
use  `KR', clear
append using `AUS' 
append using `Japan'


gen weight=.
egen total = total(persons_q)

foreach var of varlist total_KR total_AUS total_Japan {
	replace weight = `var'/total if `var'!=.
}

collapse (sum) selfemployed workplace* [iw=weight]
export excel "${results}\Results Asia.xlsx", sheet("F1_Asia") sheetreplace firstrow(variables)

restore


*___________________________________________________________*
*														    *
* 	Figure 3 (table): Weighted Average Asia: High Income	*
*___________________________________________________________*

preserve

foreach c in KR AUS{
    import excel "${results}\Results `c'.xlsx", sheet("F3") firstrow clear
    egen total_`c' = total(persons_q)

	tempfile `c'
	save ``c'', replace

}
use  `KR', clear
append using `AUS' 
gen weight=.
egen total = total(persons_q)

foreach var of varlist total_KR total_AUS {
    replace weight = `var'/total if `var'!=.

}
	collapse (sum) selfemployed employee1_9 employer1_9 employee10_more employer10_more [iw=weight], by(qtiles)
	export excel "${results}\Results Asia.xlsx", sheet("F3_KR_AUS") firstrow(variables) sheetreplace
restore

